class VgkCardHorizontalWithPopupModel {
  VgkCardHorizontalWithPopupModel({
    this.key,
    this.data,
  });

  String key;
  List<VgkCardHorizontalWithPopupDetailModel> data;

  VgkCardHorizontalWithPopupModel copyWith({
    String key,
    List<VgkCardHorizontalWithPopupDetailModel> data,
  }) =>
      VgkCardHorizontalWithPopupModel(
        key: key ?? this.key,
        data: data ?? this.data,
      );

  factory VgkCardHorizontalWithPopupModel.fromMap(Map<String, dynamic> json) =>
      VgkCardHorizontalWithPopupModel(
        key: json["key"] == null ? "" : json["key"],
        data: json["data"] == null
            ? []
            : List<VgkCardHorizontalWithPopupDetailModel>.from(json["data"]
                .map((x) => VgkCardHorizontalWithPopupDetailModel.fromMap(x))),
      );
}

class VgkCardHorizontalWithPopupDetailModel {
  VgkCardHorizontalWithPopupDetailModel({
    this.key,
    this.value,
    this.src,
    this.data,
  });

  String key;
  String value;
  String src;
  List<VgkCardHorizontalWithPopupContentModel> data;

  VgkCardHorizontalWithPopupDetailModel copyWith({
    String key,
    String src,
    String value,
    List<VgkCardHorizontalWithPopupContentModel> data,
  }) =>
      VgkCardHorizontalWithPopupDetailModel(
        key: key ?? this.key,
        src: src ?? this.src,
        value: value ?? this.value,
        data: data ?? this.data,
      );

  factory VgkCardHorizontalWithPopupDetailModel.fromMap(
          Map<String, dynamic> json) =>
      VgkCardHorizontalWithPopupDetailModel(
        key: json["key"] == null ? "" : json["key"],
        src: json["src"] == null ? "" : json["src"],
        value: json["value"] == null ? "" : json["value"],
        data: json["data"] == null
            ? null
            : List<VgkCardHorizontalWithPopupContentModel>.from(json["data"]
                .map((x) => VgkCardHorizontalWithPopupContentModel.fromMap(x))),
      );
}

class VgkCardHorizontalWithPopupContentModel {
  VgkCardHorizontalWithPopupContentModel({
    this.key,
    this.value,
    this.src,
  });

  String key;
  int value;
  String src;

  VgkCardHorizontalWithPopupContentModel copyWith({
    String key,
    String src,
    int value,
  }) =>
      VgkCardHorizontalWithPopupContentModel(
        key: key ?? this.key,
        src: src ?? this.src,
        value: value ?? this.value,
      );

  factory VgkCardHorizontalWithPopupContentModel.fromMap(
          Map<String, dynamic> json) =>
      VgkCardHorizontalWithPopupContentModel(
        key: json["key"] == null ? "" : json["key"],
        src: json["src"] == null ? "" : json["src"],
        value: json["value"] == null ? "" : json["value"],
      );
}
